package com.tencent.mm.console;

import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.console.Shell.a;
import com.tencent.mm.platformtools.ae;
import com.tencent.mm.sdk.platformtools.ab;

class Shell$11 implements a {
    Shell$11() {
    }

    public final void s(Intent intent) {
        AppMethodBeat.i(16119);
        ae.gjf = intent.getIntExtra("flag", 0);
        ab.w("MicroMsg.Shell", "dkwt shell [%d]", new Object[]{Integer.valueOf(ae.gjf)});
        AppMethodBeat.o(16119);
    }
}
